/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_TXT_T_CODE    , LEN_CODE   );
	setMaxLength(PRM_TXT_T_NAME    , LEN_NAME   );
	setMaxLength(PRM_TXT_T_CHANGE  , LEN_CHANGE );
	// 登録/更新判定
	if (MODE == 0) {
		// フォーカス設定
		setFocus(PRM_PLT_T_ID);
	} else if (MODE == 1 || MODE == 2) {
		// 読取専用設定及びフォーカス設定(UPDATEの場合)
		setReadOnly(PRM_PLT_T_ID  , true);
		setReadOnly(PRM_TXT_T_CODE, true);
		// フォーカス設定
		setFocus(PRM_TXT_T_NAME);
	}
	// 削除ボタン利用可否
	if (MODE != 2) {
		setObjectVisibility("btnDelete", false);
		setWidth("btnDelete", 0);
	}
	
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'S2307', 'QC0001', '');
		} else if (MODE == 1 || MODE == 2) {
			doSubmitMessage(objForm, 'S2308', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_PLT_T_ID      , NAM_CODE_ID, aryMessage);
	checkRequired(PRM_TXT_T_CODE    , NAM_CODE   , aryMessage);

	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
